Bug 1018298 - [abrt] gnome-abrt-0.3.1-1.fc20: ci_get_name: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] gnome-abrt-0.3.1-1.fc20: ci_get_name: Process /usr/bin/python2.7 was k...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-abrt (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Filak
Fedora Extras Quality Assurance
abrt_hash:2b6e0eea19a046556c273c216d8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-11 11:57 EDT by Matthew Garrett
Modified: 2016-11-30 19:45 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 08:37:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.88 KB, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details
File: core_backtrace (20.06 KB, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details
File: dso_list (14.71 KB, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details
File: environ (1.57 KB, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details
File: maps (67.13 KB, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details
File: open_fds (511 bytes, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details
File: var_log_messages (284 bytes, text/plain)
2013-10-11 11:57 EDT, Matthew Garrett
no flags Details

  None (edit)
Description Matthew Garrett 2013-10-11 11:57:13 EDT
Version-Release number of selected component:
gnome-abrt-0.3.1-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/gnome-abrt
crash_function: ci_get_name
executable:     /usr/bin/python2.7
kernel:         3.11.3-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ci_get_name at config_item_info.c:77
 #1 ec_get_name at event_config.c:64
 #2 libreport_load_single_event_config_data_from_user_storage at secrets.c:1516
 #3 g_list_foreach at glist.c:949
 #4 g_hash_table_foreach at ghash.c:1526
 #5 load_workflow_config_data_from_user_storage at workflow_config_dialog.c:144
 #6 show_config_list_dialog at config_dialog.c:348
 #7 p_show_events_list_dialog at configure.c:32
 #8 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4098
 #9 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
Comment 1 Matthew Garrett 2013-10-11 11:57:16 EDT
Created attachment 811244 [details]
File: backtrace
Comment 2 Matthew Garrett 2013-10-11 11:57:18 EDT
Created attachment 811245 [details]
File: cgroup
Comment 3 Matthew Garrett 2013-10-11 11:57:21 EDT
Created attachment 811246 [details]
File: core_backtrace
Comment 4 Matthew Garrett 2013-10-11 11:57:24 EDT
Created attachment 811247 [details]
File: dso_list
Comment 5 Matthew Garrett 2013-10-11 11:57:26 EDT
Created attachment 811248 [details]
File: environ
Comment 6 Matthew Garrett 2013-10-11 11:57:29 EDT
Created attachment 811249 [details]
File: exploitable
Comment 7 Matthew Garrett 2013-10-11 11:57:31 EDT
Created attachment 811250 [details]
File: limits
Comment 8 Matthew Garrett 2013-10-11 11:57:34 EDT
Created attachment 811251 [details]
File: maps
Comment 9 Matthew Garrett 2013-10-11 11:57:36 EDT
Created attachment 811252 [details]
File: open_fds
Comment 10 Matthew Garrett 2013-10-11 11:57:38 EDT
Created attachment 811253 [details]
File: proc_pid_status
Comment 11 Matthew Garrett 2013-10-11 11:57:41 EDT
Created attachment 811254 [details]
File: var_log_messages
Comment 12 Jakub Filak 2013-10-19 04:57:10 EDT
Thank you for the report. Please upload the core dump if you still have it.
Comment 13 Kerry 2014-04-03 18:40:33 EDT
Uploaded core file from crash to 
http://ubuntuone.com/58OhwetwxHoHC3aKdTAVy6
Comment 14 Jakub Filak 2014-04-04 08:19:48 EDT
(In reply to Kerry from comment #13)
> Uploaded core file from crash to 
> http://ubuntuone.com/58OhwetwxHoHC3aKdTAVy6

Thank you very much! Which version of libreport is on your computer?

$ rpm -q libreport
Comment 15 Tomas Dolezal 2014-04-04 10:15:18 EDT
same issue
libreport-2.1.12-3.fc19.x86_64
abrt-2.1.12-2.fc19.x86_64

I am using KDE4, gnome is also installed. This happened after opening "ABRT Preferences" from gnome-abrt; could not reproduce.
Comment 16 Kerry 2014-04-04 16:40:22 EDT
$ rpm -q libreport
libreport-2.2.0-1.fc20.x86_64
Comment 17 Kerry 2014-04-04 16:42:32 EDT
Yes, my crash happened after trying to open preferences or one of the other menu items. I can't remember which specific one crashed it.
Comment 18 Fedora End Of Life 2015-05-29 05:33:34 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-06-29 08:37:10 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.